camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sergey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-8963) camel:route-suspend karaf command doesn't work as expected
Date Tue, 14 Jul 2015 07:44:04 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-8963?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14625992#comment-14625992
] 

Sergey  commented on CAMEL-8963:
--------------------------------

Claus, it *was* optional in 2.13.2, I've always used this command w/o context id.

> camel:route-suspend karaf command doesn't work as expected
> ----------------------------------------------------------
>
>                 Key: CAMEL-8963
>                 URL: https://issues.apache.org/jira/browse/CAMEL-8963
>             Project: Camel
>          Issue Type: Bug
>          Components: karaf
>    Affects Versions: 2.15.2
>            Reporter: Sergey 
>            Assignee: Claus Ibsen
>            Priority: Minor
>
> In previous versions of camel (2.13.2 for sure) it was possible to use camel:route-suspend
command and specify route id only. In 2.15.2 its not possible anymore. For example:
> {code}
> karaf@root()> camel:route-list
>  Context                           Route                                  Status
>  -------                           -----                                  ------
>  fi-remurex-cpty-context           fi-remurex-institution-queue           Started
> karaf@root()> camel:route-suspend fi-remurex-institution-queue
> Error executing command camel: route-suspend: argument context is required
> {code}
> At the same time, on <tab> key camel:route-suspend command still suggests route,
but not context as second parameter. Used route id is unique, so I don't think its a good
idea to ask for context in this case.
> karaf 3.0.4, camel 2.15.2.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message